OCIOBAKELUT(1)

NAME
ociobakelut - create a new LUT or icc profile from an OCIO config or lut file(s)

SYNOPSIS
ociobakelut [options] output-file...

DESCRIPTION
This manual page documents briefly the ociobakelut command.

ociobakelut is a program which bakes a color transform into various color lookup file formats ("a LUT")

This is intended for applications that have not directly integrated OCIO, but can load LUT files

OPTIONS
A summary of options is included below.

--inputspace space
    Input OCIO ColorSpace (or Role)

--outputspace space
    Output OCIO ColorSpace (or Role)

--shaperspace space
    the OCIO ColorSpace or Role, for the shaper

--looks looks
    the OCIO looks to apply

--iconfig configfile

Input .ocio configuration file (default: $OCIO) Config-Free LUT Baking

--lut lut
    Specify a LUT (forward direction)

--invlut lut
    Specify a LUT (inverse direction)

--slope x y z
    slope

--offset x y z
    offset (float)

--offset10 x y z
    offset (10-bit)

--power x y z
    power

--sat x
    saturation (ASC-CDL luma coefficients)

Baking options

--format format

--shapersize ' n
    size of the shaper (default: format specific)

--cubesize n
    size of the cube (default: format specific)

--stdout
    Write to stdout (rather than file)

ICC Options

--whitepoint n
    whitepoint for the profile (default: 6505) --displayicc s an icc profile which matches the OCIO profiles target display --description s a meaningful description, this will show up in UI like photoshop --copyright s a copyright field

other options

--v Verbose

--help
    Show summary of options.

SEE ALSO
ociocheck(1),
    ocioconvert(1), ociolutimage(1).
    /usr/share/doc/opencolorio/OpenColorIO.pdf